Package org.apache.calcite.avatica

## Class MetaImpl.MetaSuperType

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaSuperType

Enclosing class:
  MetaImpl

    public static class MetaImpl.MetaSuperType
    extends java.lang.Object

Metadata describing a super-type.

### Field Summary

Fields
`java.lang.String` `supertypeCat`
`java.lang.String` `supertypeName`
`java.lang.String` `supertypeSchem`
`java.lang.String` `typeCat`
`java.lang.String` `typeName`
`java.lang.String` `typeSchem`

### Constructor Summary

Constructors
`MetaSuperType​(java.lang.String typeCat, java.lang.String typeSchem, java.lang.String typeName, java.lang.String supertypeCat, java.lang.String supertypeSchem, java.lang.String supertypeName)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### typeCat

    public final java.lang.String typeCat

#### typeSchem

    public final java.lang.String typeSchem

#### typeName

    public final java.lang.String typeName

#### supertypeCat

    public final java.lang.String supertypeCat

#### supertypeSchem

    public final java.lang.String supertypeSchem

#### supertypeName

    public final java.lang.String supertypeName

### Constructor Detail

#### MetaSuperType

    public MetaSuperType​(java.lang.String typeCat,
                         java.lang.String typeSchem,
                         java.lang.String typeName,
                         java.lang.String supertypeCat,
                         java.lang.String supertypeSchem,
                         java.lang.String supertypeName)